<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Task 73.10</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">DevCamp 120</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">HuongNT</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="voucher.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Voucher CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="menu.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Menu CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="drink.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Drink CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="country.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Country CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="region.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Region CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="user.crud.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>User CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="order.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Order CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="prizeHistory.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Prize History CRUD</p>
                </a>
              </li>
            </ul>
          </li>
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Pizza 365</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container">
        <h2 style="text-align: center;">Prize History</h2>
        <div class="row">
        <!--<div class="col-sm-12">
          <button id="btn-clear-data" class="btn btn-danger">Delete All Data</button>
        </div>-->
        </div>
        <div class="jumbotron container">
          <div class="row form-group">
          <div class="col-sm-3">
            <label for="fullname">Họ tên</label>
          </div>
          <div class="col-sm-9">
            <input type="text" id="input-name" name="fullname" placeholder="fullname"
            class="form-control">
          </div>
          </div>
          <div class="row form-group">
          <div class="col-sm-3">
            <label for="email">Email</label>
          </div>
          <div class="col-sm-9">
            <input type="text" id="input-email" name="email" placeholder="email"
            class="form-control">
          </div>
          </div>
          <div class="row form-group">
          <div class="col-sm-3">
            <label for="phone">Số điện thoại</label>
          </div>
          <div class="col-sm-9">
            <input type="number" id="input-phone" name="phone" placeholder="phone" class="form-control">
          </div>
          </div>
          <div class="row form-group">
          <div class="col-sm-3">
            <label for="address">Địa chỉ</label>
          </div>
          <div class="col-sm-9">
            <input type="text" id="input-address" name="address" placeholder="address" class="form-control">
          </div>
          </div>
          
          <div class="row form-group">
          <div class="col-sm-3">
            <label for="createDate">Ngày Tạo</label>
          </div>
          <div class="col-sm-9">
            <input type="date" id="input-createDate" name="createDate" placeholder="Create Date" class="form-control">
          </div>
          </div>
          <div class="row form-group">
          <div class="col-sm-3">
            <label for="updateDate">Ngày sửa</label>
          </div>
          <div class="col-sm-9">
            <input type="date" id="input-updateDate" name="updateDate" placeholder="Update Date" class="form-control">
          </div>
          </div>
          <div class="row pull-right">
          <div class = "col-sm-3">
          </div>
          <div class="col-sm-3">
            <button id="btn-update-user" class="btn btn-info">Update user</button>
          </div>
          <div class="col-sm-3">
            <button id="btn-delete-user" class="btn btn-danger">Delete user</button>
          </div>
          <div class="col-sm-3">
            <button id="btn-create-user" class="btn btn-success">Add New user</button>
          </div>
          </div>
        </div>
        <table class="table table-bordered table-striped table-hover" id="table-present-history">
          <thead>
            <tr>
                <th>Game</th>
                <th>Present</th>
            </tr>
        </table>
      </div>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 1.0.0
    </div>
    <strong>Copyright &copy; 2023 <a href="">DevCamp 120</a>.</strong> All rights reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<script>
  "use strict";
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
// Biến toàn cục để lưu trữ id user đang đc update or delete. Mặc định = 0;
    const gEND_OF_ROW_COL = -1;
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-lucky-dice";

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    //hàm xử lý sự kiện onBtnShowPresentHistoryClick()
    function onBtnShowPresentHistoryClick() {
      //b1 truy cập dữ liệu
      var vUserObj = {
        username: ""
      };
      getUserInfo(vUserObj);
      console.log("%c thu thập thành công", "color: red");

      //b2 validate
      var vCheckUserName = checkUserName(vUserObj);
      if (vCheckUserName) {
        var vXmlHttpPrizeHistory = new XMLHttpRequest();

        //b3 gọi API hiển thị lịch sử tung xúc xắc
        callAPIToGetHistoryPresent(vUserObj, vXmlHttpPrizeHistory);
        console.log(vUserObj);
        vXmlHttpPrizeHistory.onreadystatechange = function () {
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
            //b4 hiển thị lên table
            showPresentHistoryResponse(vXmlHttpPrizeHistory);
          }
        }
      }
    }




    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //hàm thu thập dữ liệu user
    function getUserInfo(paramObjectUser) {
      var vInputUserName = document.getElementById("input-username");
      paramObjectUser.username = vInputUserName.value.trim();
    }

    //hàm check dữ liệu input
    function checkUserName(paramObjectUser) {
      if (paramObjectUser.username == "") {
        alert("Chưa nhập username");
        return false;
      }
      return true;
    }


    //hàm thu gọi API thập lịch sử Dice History
    function callAPIToGetHistoryPresent(paramUserObj, paramXmlHttp) {
      const vAPI_URL = gBASE_URL + "/prize-history?username=";
      paramXmlHttp.open("GET", vAPI_URL + paramUserObj.username, true);
      paramXmlHttp.send();

    }


    //hàm hiển thị thông báo thêm điểm thành công
    function showPresentHistoryResponse(paramXmlHttp) {
      //chuyển json sang Object
      var vPresentHistory = paramXmlHttp.responseText;
      console.log(vPresentHistory);
      //chuyển Json sang Object
      var vPresentHistory = JSON.parse(paramXmlHttp.responseText);
      var vPresentHistoryTable = document.getElementById("table-present-history");
      //truy xuất phần tữ tbody trong table
      //cách truy xuất là bằng tagname, với cách này sẽ có một bảng các tbody trong bảng, ta lấy phần tử sô của mảng này
      var vPresentTableBody = vPresentHistoryTable.getElementsByTagName("tbody")[0]
      //xóa trắng dữ liệu cũa bảng
      vPresentTableBody.innerHTML = "";
      for (var bI = 0; bI < vPresentHistory.prizes.length; bI++) {
        //thêm dòng
        var bNewRow = vPresentTableBody.insertRow(gEND_OF_ROW_COL);
        //thêm 2 cells mã giảm giá và phần trăm giảm giá
        var bGameCell = bNewRow.insertCell(0); //ô đầu tiên
        var bPresentCell = bNewRow.insertCell(1); //ô thứ 2
        //điền dữ liệu cho 2 cell
        bGameCell.innerHTML = bI + 1;
        bPresentCell.innerHTML = vPresentHistory.prizes[bI];
      }
    }
  </script>
</script>
</body>
</html>
